Question
I am trying to get used to lining up all of my text and dimensions using the "to the Y of" and "to the x of" buttons (AutoCAD 2000i). If I want to dimension up some drawers inside a cabinet and want the dimensions drawn outside of the carcass lines for clarity, I use these buttons. However, when there are a lot of these dimensions in a row, I get fed up having to click the x or y for every single end of every dimension.
The "continue" function in dimensioning is great for speeding up dimensioning. Can this be used somehow for running dimensions offset from the source to a set point?
To clarify, it is the extension lines from the dimensions that I am trying to line up. I don't want loads of extension lines entering the drawing, making it hard to read.
Forum Responses
(CAD Forum)
From contributor A:
I think I understand what you're asking. I do the same thing, but I use qdim, and then pull my grips back to a line, keeping my extension lines short and sweet. Others may have a better way, but this method isn't too time consuming, in my opinion.
; dimadj.lsp type dimadj to run
; modify your dimension lines (dimlinear only)
; Select your dimension then a point where you want your
; extension lines to end
(defun c:dimadj ( / a b c d e)(setq a (entget (car (entsel "\nSelect a dimension line")))b (cdr (assoc 13 a))c (cdr (assoc 14 a)))(if (= (nth 1 b)(nth 1 c))(progn(setq e (getpoint"\nPick Point: ")d (cadr e) a (subst(cons 13 (list (nth 0 b) d (nth 2 b)))(assoc 13 a)a)a (subst(cons 14 (list (nth 0 c) d (nth 2 c)))(assoc 14 a)a)))(progn(setq e (getpoint "\nPick Point: ")d (car e)a (subst(cons 13 (list d (nth 1 b) (nth 2 b)))(assoc 13 a)a)a(subst(cons 14 (list d (nth 1 c) (nth 2 c)))(assoc 14 a)a))))(entmod a)(princ))
This image shows what I wish to achieve in the right hand image. All of the extension lines line up for a more attractive presentation. I think so, anyway.
Here's what we do (no LISP needed):
All dims are on a "***DIM***" named layer. Just dims, not text, etc. We have a custom button that locks all layers not named "***DIM***". Click, and everything but dim layers are locked. Then do a stretch window around the dims (defpoints) of the dims to be moved. De-select any extra that you grabbed, say on the adjacent run of dims, by holding down the shift key as you select those dim objects. Then, do your stretch. Then, click the unlock all layers button (custom button again) and resume working.
This will give you the result you want. It's quick, but not perfect, because the locations of all of your defpoints are likely not in the same relative position to each other. But often that doesn't matter, since the longest extension lines are the ones that show. Also, best to save editing of dimensions in this way until last, just in case you do more editing to the drawing objects.